> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Batch Items

> A `POST` to the `/batches/{batch}/items` endpoint allows your application to add items to an existing batch.



## OpenAPI

````yaml post /v3/batches/{batch}/items
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/batches/{batch}/items:
    post:
      tags:
        - Batch
      summary: Add Batch Items
      description: >-
        A `POST` to the `/batches/{batch}/items` endpoint allows your
        application to add items to an existing batch.
      operationId: batch.storeItems
      parameters:
        - name: batch
          in: path
          required: true
          description: The batch UUID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchStoreItems'
      responses:
        '201':
          description: '`Batch`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Batch'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    BatchStoreItems:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              external_id:
                type:
                  - string
                  - 'null'
              status:
                type: string
                enum:
                  - pending
                  - success
                  - failed
              entity_id:
                type:
                  - string
                  - 'null'
              error:
                type:
                  - string
                  - 'null'
            required:
              - status
          minItems: 1
          maxItems: 500
      required:
        - items
      title: BatchStoreItems
    Batch:
      type: object
      properties:
        id:
          type: string
        import_job_id:
          type:
            - integer
            - 'null'
        entity_type:
          type: string
        total_count:
          type: integer
        status:
          type: string
        success_count:
          type: string
        failed_count:
          type: string
        processed_count:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/BatchItem'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - import_job_id
        - entity_type
        - total_count
        - status
        - success_count
        - failed_count
        - processed_count
        - created_at
        - updated_at
      title: Batch
    BatchItem:
      type: object
      properties:
        id:
          type: integer
        entity_id:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        status:
          type: string
        error:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - entity_id
        - external_id
        - status
        - error
        - created_at
        - updated_at
      title: BatchItem
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````